
.include "cbm_kernal.inc"

.segment "CODE"

.ifdef __C64__
stub1 = $0800
stub2 = $0880
.endif
.ifdef __C128__
stub1 = $1c00
stub2 = $1c80
.endif

.export _swap_stubs
.proc _swap_stubs: near

		ldx #$7f
L1:
		lda stub1,x
		pha
		lda stub2,x
		sta stub1,x
		pla
		sta stub2,x
		dex
		bpl L1
		rts

.endproc

.export _strout
.proc _strout: near

		sta L1+1
		stx L1+2
L1:
		lda $ffff ; address overwritten
		beq L2
		jsr BSOUT
		inc L1+1
		bne L1
		inc L1+2
		bne L1
L2:
		rts

.endproc

.export _serialout
.proc _serialout: near

		sta L1+1
		stx L1+2
L1:
		lda $ffff ; address overwritten
		beq L2
		jsr CIOUT
		inc L1+1
		bne L1
		inc L1+2
		bne L1
L2:
		rts

.endproc

.export _serial_skip
.proc _serial_skip

		tax
L1:
		jsr ACPTR
		dex
		bne L1
		rts

.endproc