.SEGMENT "BASICSTUB"

basic_stub:

.INCBIN "basic_stub-c128.bin"

basic_stub_end:

.SEGMENT "SIZE"

.IMPORT __ONCE_LOAD__
.IMPORT __ONCE_SIZE__
.WORD __ONCE_LOAD__ + __ONCE_SIZE__ - $1c00

;.RES 128-(basic_stub_end-basic_stub_start),$ff

.SEGMENT "CARTSTUB"

cartridge_sub:

.ORG $8000

	sei
	nop
	nop
	jmp cartstart

.BYTE $ff
.byte 'c','b','m'

cartstart:
	lda #$0a
	sta $ff00 ; Make KERNAL visible
	cli       ; It's safe for interrupts again
	lda #$80
	sta $04
	asl       ; A = 0
	sta $03   ; ($03) = $8000
	sta $05
	tay       ; Y = 0
	lda #$1c
	sta $06   ; ($05) = $1c00
@a1:
	lda ($03),y
	sta ($05),y
	iny
	bne @a1
	inc $06
	inc $04
	ldx $04
	cpx #$c0
	bne @a1
	jsr $1d00
	lda #142  ; Return to uppercase font.
	jsr $ffd2 ; bsout
	rts
