.SEGMENT "BASICSTUB"

basic_stub:

.INCBIN "basic_stub-c64.bin"

basic_stub_end:

;.RES 128-(basic_stub_end-basic_stub_start),$ff

.SEGMENT "SIZE"

.IMPORT __ONCE_LOAD__
.IMPORT __ONCE_SIZE__
.WORD __ONCE_LOAD__ + __ONCE_SIZE__ - $800

.SEGMENT "CARTSTUB"

cartridge_sub:

.ORG $8000

.WORD coldstart
.WORD warmstart
.BYTE $c3,$c2,$cd,$38,$30  ; CBM80

coldstart:
	sei
	stx $d016
	jsr $fda3
	jsr $fd50
	jsr $fd15
	jsr $ff5b
	cli

warmstart:
	lda #$80
	sta $03
	asl      ; A = 0
	sta $02  ; ($02) = $8000
	sta $04
	tay
	lda #$08
	sta $05  ; ($04) = $08000
@a1:
	lda ($02),y
	sta ($04),y
	iny
	bne @a1
	inc $05
	inc $03
	ldx $03
	cpx #$a0
	bne @a1
	jsr $0900
	lda #142  ; Return to uppercase font.
	jsr $ffd2 ; bsout
	jmp ($a000)

